<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        const req = async (url) => {
            const data = await fetch(url)
            return data.json()
        }
   
        req("https://swapi.dev/api/planets/1/")
        .then((data)=>{sessionStorage.planet = JSON.stringify(data)})
    </script>
</body>

</html>